
/* The map and the location bar */

#maptitle {
    font-family: Arial;
    font-size: 20px;
    font-weight: bold;
    line-height: 36px;
    color: #31849B;
    margin: 0px;
    padding: 0px;
    position: absolute;
    right: 0px;   /* right side of map wrapper banner */
    text-align: right;
    z-index: -1;
}
#mapsubtitle {
    font-family: Arial;
    font-size: 18px;
    font-weight: normal;
    line-height: 20px;
    color: #31849B;
    margin: 0px;
    padding: 0px;
}

#mapwrapper {
    width: 120%;
    display: flex;
    height: 100%;
    margin: 5px 0px 0px 0px;
    padding: 0;
}
#mapwrapperbanner {
    width: 120%;
    display: flex;
    margin: 0px;
    padding: 0;
    height: 50px;
}

#map {
    clear: both;
    position: relative;
    width: 100%;
    height: 800px;
    border: 1px solid black;
    float: left;
    /* margin-right: 150px; */
}

#maplegend {
    float: right;
    width: 300px;
    height: 800px;
    border: 1px solid black;
    overflow-y: auto;
    overflow-x: hidden;
    font-family: Arial;
    font-size: 12px;
    padding-left: 0px;
    padding-right: 0px;
}

#maplegendheader {
    position: sticky;
    top: 0px;
    z-index: 999;
    background-color: rgba(255,255,255,1);
}
#maplegendcontent {
}

.maplegendtitle {
    font-family: Arial;
    background-color: #31849B;
    color: white;
    text-align: center; 
    font-weight: bold;
    font-size: 14px;
    padding-top: 4px;
    line-height: 26px;
}

.maplegenditem {
    font-size: 18px;
    padding-left: 10px;
    padding-right: 10px;
}

.maplegenditemdetails {
    display: none;
}

.legendcategory {
    font-size: 12px;
    font-weight: bold;
    padding-left: 10px;
    width: 100%;
    padding-top: 5px;
    border-top: lightgray 1px solid;
}

.legenditemgraphic {
    margin-bottom: 6px;
}

.legenditemrow {
    width:100%;
    margin-bottom: 4px;
}
.legenditemimage {
    display:inline;
}
.legenditemtext {
    padding-left: 10px;
    display:inline;
    white-space:nowrap;
}
.legenditemtitle {
    font-size: 10px;
    font-weight: bold;
    display: block;
    background-color: #eeeeee;
    margin-right: 30px;
    margin-bottom: 6px;
    padding-left: 6px;
}

.btn-legend-wrapper {
    position:absolute;
    top:2px;
    right:2px;
    z-index:1000
}

.btn-legend-close {
    float:right;
    background-color:transparent;
    border:0;
    padding-top:-2px;
    margin-top:-2px;
}

.btn-legend-show {
    width: unset;
    height: 35px;
    text-align: center;
    display:none;
    float:right;
}

#map-search-wrapper {
    position: absolute;
    top: 5px;
    left:10%;
    line-height:2;
    opacity: 0.9;

    height: 2em;
    width: 15em;
    border: 1px #e7e7e7 solid;
    border-radius: 20px;
}

#map-search-clear {
    position: absolute;
    float: right;
    height: 20px;
    width: 20px;
    top: 4px;
    left: 275px;
    border-radius: 20px;
    /*background: #ddd;*/
    color: #777;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
}
#clear:hover {
    background: #ccc;
}


#mapSearchText {
    width:300px;
}

#location {
    float: right;
}

#options {
    position: absolute;
    left: 13px;
    top: 7px;
    z-index: 3000;
}

table.riskcategories {
    border-collapse: separate; 
    border-spacing: 5px;
    margin-left: 10px;
}

table.riskcategories td {
    font-size: 12px;
}

/* Styles used by the default GetFeatureInfo output, added to make IE happy */
table.featureInfo, table.featureInfo td, table.featureInfo th {
    border: 1px solid #ddd;
    border-collapse: collapse;
    margin: 0;
    padding: 0;
    font-size: 90%;
    padding: .2em .1em;
}

table.featureInfo th {
    padding: .2em .2em;
    font-weight: bold;
    background: #eee;
}

table.featureInfo td {
    background: #fff;
}

table.featureInfo tr.odd td {
    background: #eee;
}

table.featureInfo caption {
    text-align: left;
    font-size: 100%;
    font-weight: bold;
    padding: .2em .2em;
}

.olLayerGoogleCopyright {display:none;}
                       
div.dataLayersDiv label, div.baseLayersDiv label {
    font-size: 14px !important;
    font-weight: normal !important;
}

.olControlLayerSwitcher .layersDiv {
    background-color: #31849B !important;
    font-family: Arial !important;
/*    font-size: smaller;
    font-weight: bold;
    margin-bottom: 3px;
    margin-left: 3px;
    margin-top: 3px;
    position: absolute;
    right: 0;
    top: 42px;
    width: 20em; */
}

.btn-primary {
    background-color: #008061;
    background-image: none !important;
}

.btn-primary:active, .btn-primary.active  {
    background-color: #e3d46b;
    color: #008061;
}

.btn-primary:hover {
    background-color: #00e2ab;
    color: #008061;
}

div.slidersOpacity {
    margin-left: 30px;
    margin-right: 100px;
    height: 4px;
    margin-top: 0px;
    margin-bottom: 8px;
}
div.slidersOpacity div div div.noUi-handle.noUi-handle-lower {
    width: 15px;
    height: 15px;
}

